# Created by pyp2rpm-3.3.1
%global pypi_name fontmake

Name:           python-%{pypi_name}
Version:        3.7.1
Release:        %mkrel 1
Summary:        Compile fonts from sources (UFO, Glyphs) to binary (OpenType, TrueType)
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/googlei18n/fontmake
Source0:        %{pypi_source %{pypi_name} %{version} zip}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(attrs)
BuildRequires:  python3dist(booleanoperations)
BuildRequires:  python3dist(cu2qu)
BuildRequires:  python3dist(fontmath)
BuildRequires:  python3dist(fonttools)
BuildRequires:  python3dist(glyphslib)
BuildRequires:  python3dist(mutatormath)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(ufo2ft)
BuildRequires:  python3dist(ufolib2)

%description
This library provides a wrapper for several other Python libraries which
together compile fonts from various sources (.glyphs, .ufo) into binaries
(.otf, .ttf).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       fontmake = %{version}-%{release}

%description -n python3-%{pypi_name}
This library provides a wrapper for several other Python libraries which
together compile fonts from various sources (.glyphs, .ufo) into binaries
(.otf, .ttf).

%{?pyproject_extras_subpkg:%pyproject_extras_subpkg -n python3-%{pypi_name} -i %{python3_sitelib}/%{pypi_name}-%{version}.dist-info lxml mutatormath}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/fontmake


%changelog
* Tue Jan 16 2024 daviddavid <daviddavid> 3.7.1-1.mga10
+ Revision: 2031443
- new version: 3.7.1
- switch to pyproject

* Sat Jan 14 2023 wally <wally> 3.5.1-1.mga9
+ Revision: 1932947
- new version 3.5.1

* Fri Nov 25 2022 kekepower <kekepower> 3.5.0-1.mga9
+ Revision: 1910993
- Update to version 3.5.0

* Fri Jun 24 2022 papoteur <papoteur> 3.2.0-3.mga9
+ Revision: 1865835
- Mass Rebuild for dependencies

* Wed Apr 06 2022 umeabot <umeabot> 3.2.0-2.mga9
+ Revision: 1846214
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 3.2.0-1.mga9
+ Revision: 1784529
- version 3.2.0
- rebuild for python-3.10

* Fri Aug 20 2021 wally <wally> 2.4.1-1.mga9
+ Revision: 1742035
- new version 2.4.1
- add lxml and mutatormath extras subpkgs

* Sat Jun 26 2021 wally <wally> 2.4.0-2.mga9
+ Revision: 1732734
- Rebuild for python 3.9

* Fri Jun 25 2021 wally <wally> 2.4.0-1.mga9
+ Revision: 1732276
- new version 2.4.0

* Tue Feb 18 2020 umeabot <umeabot> 2.0.7-2.mga8
+ Revision: 1541962
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 2.0.7-1.mga8
+ Revision: 1475761
- new version 2.0.7

* Wed Oct 16 2019 daviddavid <daviddavid> 1.10.1-2.mga8
+ Revision: 1453947
- rebuild for python3.8

* Mon Aug 19 2019 wally <wally> 1.10.1-1.mga8
+ Revision: 1430108
- new version 1.10.1

* Sat Jan 12 2019 wally <wally> 1.8.0-1.mga7
+ Revision: 1355470
- new version 1.8.0
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 1.4.0-3.mga7
+ Revision: 1355427
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1288907
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 1.4.0-1.mga7
+ Revision: 1226585
- imported package python-fontmake

